import json


class Image:
    def __init__(self, id, name, format) -> None:
        super().__init__()

        self.id = id
        self.name = name
        self.format = format

    def to_json(self):
        return json.dumps(self.__dict__)

    def __repr__(self):
        return self.to_json()

    def __str__(self) -> str:
        return self.to_json()
