import json


class Snapshot:
    def __init__(self, id, size) -> None:
        super().__init__()

        self.id = id
        self.size = size

    def to_json(self):
        return json.dumps(self.__dict__)

    def __repr__(self):
        return self.to_json()

    def __str__(self) -> str:
        return self.to_json()
